SplObjectStorage::getInfo
SplObjectStorage::next
SplObjectStorage
PHP Manual

# SplObjectStorage::key

Returns the index at which the iterator currently is

### Description

public int SplObjectStorage::key ( void )

Returns the index at which the iterator currently is.

### Parameters

This function has no parameters.

### Return Values

The index corresponding to the position of the iterator.

### Examples

Example #1 SplObjectStorage::key example

`<?php
$s = new SplObjectStorage();
$o1 = new StdClass;
$o2 = new StdClass;
$s->attach($o1, "d1");
$s->attach($o2, "d2");
$s->rewind();
while($s->valid()) {
$index = $s->key();
$object = $s->current(); // similar to current($s)
var_dump($index);
var_dump($object);
$s->next();
}
?>`

The above example will output something similar to:

    int(0)
    object(stdClass)#2 (0) {
    }
    int(1)
    object(stdClass)#3 (0) {
    }

### See Also

- SplObjectStorage::rewind
- SplObjectStorage::current
- SplObjectStorage::next
- SplObjectStorage::valid